package de.intevation.flys.client.shared.model;

import java.util.List;


/**
 * An derived OutputMode that marks an OutputMode as an export. An export mode
 * should at least support one (or more) facet which specify the type of export
 * (e.g. CSV, WST).
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ExportMode extends DefaultOutputMode {

    public ExportMode() {
    }


    public ExportMode(String name, String desc, String mimeType) {
        super(name, desc, mimeType);
    }


    public ExportMode(
        String name,
        String descrition,
        String mimeType,
        List<Facet> facets)
    {
        super(name, descrition, mimeType, facets);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
